"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const log4js = require("log4js");
exports.DEFAULT_LOG_LEVEL = 'TRACE';
function getLogger(config) {
    log4js.replaceConsole();
    log4js.setGlobalLogLevel(exports.DEFAULT_LOG_LEVEL);
    const logger = log4js.getLogger();
    let logLevel = exports.DEFAULT_LOG_LEVEL;
    if (config.logLevel) {
        log4js.setGlobalLogLevel(config.logLevel);
        logLevel = config.logLevel;
    }
    logger.setLevel(logLevel);
    return logger;
}
exports.getLogger = getLogger;
