declare class ItemValidator {
    protected _item: any;
    readonly item: any;
    protected _optionalInstance: ItemValidator;
    readonly optional: ItemValidator;
    protected _isOptional: boolean;
    constructor(item: any, isOptional?: boolean);
    isInt(field: string, min?: number, max?: number): number | never;
    escape(field: string): string;
    isString(field: string, min?: number, max?: number): string | never;
    isEmail(field: string): string | never;
    isArray<T>(field: string, iterator?: (arrayElement: any) => T): Array<T> | never;
}
export { ItemValidator };
