declare module "koa" {
    interface Context {
        validatedData: {
            originalCase: any;
            camelCase: any;
        };
    }
}
export * from './lib/validation/item_validator';
export * from './lib/validation/validator';
export * from './lib/koa/middleware/error_middleware';
export * from './lib/koa/controller';
export * from './lib/koa/interfaces';
export * from './lib/koa/app';
export * from './lib/db/pg';
export * from './lib/db/pg_pool';
export * from './lib/error/auth';
export * from './lib/error/inno';
export * from './lib/error/validation';
export { Context, Middleware } from 'koa';
import * as Joi from 'joi';
import * as logger from './lib/logger';
export { logger, Joi };
