import * as pgPool from 'pg-pool';
import Pool = pgPool.Pool;
import { QueryResult } from "pg";
export declare const DB_QUERY = "DB_QUERY";
export declare const NO_ROW_ERROR = "DB_NO_SUCH_";
export declare class PgService {
    protected pool: Pool;
    constructor(pgPool: Pool);
    run(query: string, params?: Array<any>): Promise<QueryResult>;
    getRows(query: string, params?: Array<any>): Promise<Array<any>>;
    getRow(query: string, params?: Array<any>): Promise<any>;
    mustGetRow(errorCode: string, query: string, params?: Array<any>): Promise<any>;
    private _run(query, params?);
}
