"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const koaCors = require("koa-cors");
exports.DEFAULT_ORIGIN = '*';
function createCorsMiddleware(origin = exports.DEFAULT_ORIGIN, credentials) {
    const corsConfig = {
        origin: '*'
    };
    if (origin) {
        corsConfig.origin = origin;
    }
    if (credentials) {
        corsConfig.credentials = credentials;
    }
    return koaCors(corsConfig);
}
exports.createCorsMiddleware = createCorsMiddleware;
